Page MenuHome

Auto Depth makes zooming & orbiting slow with Material Preview on
Closed, DuplicatePublic

Description

System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: GeForce GTX 1070/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 441.66

Blender Version
Broken: version: 2.82 (sub 7), branch: master, commit date: 2020-02-12 16:20, hash: rB77d23b0bd76f
Broken: version: 2.83 (sub 3), branch: master, commit date: 2020-02-14 23:40, hash: rB92a56bbe6a98

Short description of error
Auto Depth (Preferences > Navigation > Orbit & Pan) makes zooming & orbiting slow while the Viewport Shading is "Material Preview".
It doesn't happen if Viewport Shading is "SOLID".

Exact steps for others to reproduce the error

  1. Open a scene with several objects (with materials applied onto them)
  2. Make sure to have "Auto Depth" unchecked in Preferences > Navigation > Orbit & Pan
  3. Try point #4 with "SOLID" then with "MATERIAL PREVIEW" viewport shading:
  4. Zoom and orbit the view
  5. You should not notice any slowdown, no lag

Now redo the steps #1 to #4 with "Auto Depth" checked (enabled).
Switching the viewport shading to "MATERIAL PREVIEW" makes orbitting and zooming sluggish, you should notice a lag.

Event Timeline

I can confirm as I've had this for a while now.
It's not actually a lag but a slight delay before navigation. Also you don't have to have any material.

Richard Antalik (ISS) changed the task status from Needs Triage to Needs Information from User.Feb 17 2020, 10:13 AM

Can you try updating GPU drivers and let us know if issue persists?

Can you try updating GPU drivers and let us know if issue persists?

I have just replaced my previous graphics card driver for 442.19 and I can't say this has fixed the slowdowns. I think it's the same.

Richard Antalik (ISS) changed the task status from Needs Information from User to Needs Information from Developers.Feb 19 2020, 10:21 AM

Got the same problem: with Auto Depth ON, theres a certain delay before it starts orbiting around in both Rendered and Material Preview. I click middle mouse button and drag the mouse for like 1cm on screen before the viewport starts moving around.

Blender 2.82a (2.82a 2020-03-12)
MacOS Mojave - iMac 27" 5K - Radeon 580 Pro with i9 9900K CPU

I can't reproduce this with master. (Fedora 32, Nvidia 440.82)

I am seeing this as well. Took a while to pin it down to Auto Depth. - Also, this happens ALWAYS. Even in regular solid view.

System Information
Operating system: Linux-5.6.15-arch1-1-x86_64-with-arch 64 Bits
Graphics card: GeForce GTX 1080 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 440.82

Blender Version
Broken: version: 2.83.0 Beta, branch: master, commit date: 2020-05-30 15:33, hash: rBec26260132b4
Worked: 2.82a

See the video (notice that I release the mouse after every change in direction):

Here the same problem !!!
Blender 2.83 LTS

Scene with only one cube, much slow using auto depth and material preview.
The higher the resolution, the greater the slowness...
1080p slow.
2.5k very slow.
4k unusable.

System: Ryzen 7 1800x, 32Gb Ram, Gtx 970, monitor 4k, tablet 1080p, Win10 Pro 18363.836 64 Bits
Tested with 3 different drivers, the driver currently installed is 446.14

Blender: All Blender quality options are disabled, no addons.
Without auto depth, everything works incredibly smoothly.
The problem does not happen using: Wire, solid, or cycles render.


The problem even happens to scenes with nothing.

@Yevgeny Makarov (jenkm) Yes, Thanks for noticing this. Will merge this report.